## libcvd 0.0~git20220106103934.34d8e26%2Bds1

=== progs/CMakeLists.txt ===
project(progs)

if(CVD_HAVE_GLWINDOW)
	add_executable(video_play_source video_play_source.cc)
	target_link_libraries(video_play_source PRIVATE CVD)
	install(TARGETS video_play_source RUNTIME DESTINATION bin)
endif()

if(CVD_HAVE_VIDEODISPLAY)
	add_executable(cvd_display_image cvd_display_image.cxx)
	target_link_libraries(cvd_display_image PRIVATE CVD)
	add_executable(cvd_image_viewer cvd_image_viewer.cxx)
	target_link_libraries(cvd_image_viewer PRIVATE CVD)
	install(TARGETS cvd_display_image cvd_image_viewer RUNTIME DESTINATION bin)
endif()

if(CVD_HAVE_VIDEODISPLAY AND CVD_HAVE_TOON)
	add_executable(calibrate calibrate.cxx)
	target_link_libraries(calibrate PRIVATE CVD)
endif()

if(CVD_HAVE_TOON)
	add_executable(se3_exp se3_exp.cxx)
	target_link_libraries(se3_exp PRIVATE CVD)
	add_executable(se3_inv se3_inv.cxx)
	target_link_libraries(se3_inv PRIVATE CVD)
	add_executable(se3_ln se3_ln.cxx)
	target_link_libraries(se3_ln PRIVATE CVD)
	add_executable(se3_post_mul se3_post_mul.cxx)
	target_link_libraries(se3_post_mul PRIVATE CVD)
	add_executable(se3_pre_mul se3_pre_mul.cxx)
	target_link_libraries(se3_pre_mul PRIVATE CVD)
endif()

=== tests/CMakeLists.txt ===
project(tests)

add_executable(distance_transform_test distance_transform_test.cc)
target_link_libraries(distance_transform_test PRIVATE CVD)
add_test(NAME distance_transform_test COMMAND distance_transform_test)

add_executable(fast_corner_test fast_corner_test.cc)
target_link_libraries(fast_corner_test PRIVATE CVD)
add_test(NAME fast_corner_test COMMAND fast_corner_test)

add_executable(load_and_save load_and_save.cc)
if(WIN32)
	target_compile_options(load_and_save PRIVATE /bigobj)
endif()
target_link_libraries(load_and_save PRIVATE CVD)
add_test(NAME load_and_save COMMAND load_and_save)

add_executable(convolution convolution.cc)
target_link_libraries(convolution PRIVATE CVD)
add_test(NAME convolution COMMAND convolution)

add_executable(flips flips.cc)
target_link_libraries(flips PRIVATE CVD)
add_test(NAME flips COMMAND flips)

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	find debian/tmp -type f -name \*~ -delete
	find debian/tmp -type f -name \*.in -delete
	mv debian/tmp/usr/bin/calibrate debian/tmp/usr/bin/cvd_calibrate
	mv debian/tmp/usr/bin/video_play_source debian/tmp/usr/bin/cvd_video_play_source

## libcvd 0.0~git20220106103934.34d8e26+ds1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
project(CVD)
enable_testing()

option(CVD_ENABLE_TESTS "Build libCVD tests" ON)
option(CVD_ENABLE_PROGS "Build libCVD programs" ON)
option(CVD_ENABLE_EXAMPLES "Build libCVD examples" ON)

include(TestBigEndian)
include(CheckSymbolExists)

set(CMAKE_DEBUG_POSTFIX _debug)

# Dependencies that can be automatically found by CMake.
include(cmake/CVDFindAllDeps.cmake)

# Detect endianness

TEST_BIG_ENDIAN(CVD_INTERNAL_ARCH_BIG_ENDIAN)
if(CVD_INTERNAL_ARCH_BIG_ENDIAN)
	set(CVD_INTERNAL_ARCH_LITTLE_ENDIAN OFF)
else()
	set(CVD_INTERNAL_ARCH_LITTLE_ENDIAN ON)
endif()

# Basic source files and headers for all platforms and options.

set(SRCS
	cvd_src/bayer.cxx
	cvd_src/colourspace_convert.cxx
	cvd_src/connected_components.cc
	cvd_src/convolution.cc
	cvd_src/cvd_timer.cc
	cvd_src/deinterlacebuffer.cc
	cvd_src/diskbuffer2.cc
	cvd_src/draw.cc
	cvd_src/exceptions.cc
	cvd_src/faster_corner_utilities.h
	cvd_src/image_io.cc
	cvd_src/morphology.cc
	cvd_src/nonmax_suppression.cxx
	cvd_src/quartic.cpp
	cvd_src/timeddiskbuffer.cc
	cvd_src/videofilebuffer_exceptions.cc
	cvd_src/videosource.cpp
	cvd_src/yuv411_to_stuff.cxx
	cvd_src/yuv420.cpp
	cvd_src/fast_corner.cxx
	cvd_src/fast/fast_corner_9_nonmax.cxx
	cvd_src/fast/fast_10_detect.cxx
	cvd_src/fast/fast_10_score.cxx
	cvd_src/fast/fast_11_detect.cxx
	cvd_src/fast/fast_11_score.cxx
	cvd_src/fast/fast_12_detect.cxx
	cvd_src/fast/fast_12_score.cxx
	cvd_src/fast/fast_7_detect.cxx
	cvd_src/fast/fast_7_score.cxx
	cvd_src/fast/fast_8_detect.cxx
	cvd_src/fast/fast_8_score.cxx
	cvd_src/fast/fast_9_detect.cxx
	cvd_src/fast/fast_9_score.cxx
	cvd_src/image_io/bmp.cxx
	cvd_src/image_io/bmp_read.cc
	cvd_src/image_io/bmp_write.cc
	cvd_src/image_io/cvdimage.cxx
	cvd_src/image_io/fits.cc
	cvd_src/image_io/fitswrite.cc
	cvd_src/image_io/pnm_grok.cxx
	cvd_src/image_io/save_postscript.cxx
	cvd_src/image_io/text.cxx
	cvd_src/image_io/text_write.cc
	cvd_src/noarch/convert_rgb_to_y.cc
	cvd_src/noarch/convolve_gaussian.cc
	cvd_src/noarch/gradient.cc
	cvd_src/noarch/half_sample.cc
	cvd_src/noarch/median_3x3.cc
	cvd_src/noarch/two_thirds_sample.cc
	cvd_src/noarch/utility_byte_differences.cc
	cvd_src/noarch/utility_double_int.cc
	cvd_src/noarch/utility_float.cc
	cvd_src/noarch/yuv422.cpp
	cvd_src/noarch/slower_corner_10.cxx
	cvd_src/noarch/slower_corner_12.cxx
	cvd_src/noarch/slower_corner_9.cxx)
set(HEADERS
	cvd/argb.h
	cvd/bgrx.h
	cvd/bresenham.h
	cvd/byte.h
	cvd/colourmap.h
	cvd/colourspace.h
	cvd/colourspacebuffer.h
	cvd/colourspaces.h
	cvd/colourspace_convert.h
	cvd/colourspace_frame.h
	cvd/connected_components.h
	cvd/convolution.h
	cvd/deinterlacebuffer.h
	cvd/deinterlaceframe.h
	cvd/diskbuffer2.h
	cvd/diskbuffer2_frame.h
	cvd/distance_transform.h
	cvd/documentation.h
	cvd/draw.h
	cvd/exceptions.h
	cvd/fast_corner.h
	cvd/gles1_helpers.h
	cvd/glwindow.h
	cvd/gl_helpers.h
	cvd/haar.h
	cvd/harris_corner.h
	cvd/helpers.h
	cvd/image.h
	cvd/image_convert.h
	cvd/image_convert_fwd.h
	cvd/image_io.h
	cvd/image_ref.h
	cvd/integral_image.h
	cvd/interpolate.h
	cvd/la.h
	cvd/localvideobuffer.h
	cvd/localvideoframe.h
	cvd/morphology.h
	cvd/nonmax_suppression.h
	cvd/opencv.h
	cvd/rgb.h
	cvd/rgb8.h
	cvd/rgba.h
	cvd/serverpushjpegbuffer.h
	cvd/serverpushjpegframe.h
	cvd/timeddiskbuffer.h
	cvd/timer.h
	cvd/utility.h
	cvd/videobuffer.h
	cvd/videobufferflags.h
	cvd/videobufferwithdata.h
	cvd/videofilebuffer.h
	cvd/videofilebuffer_frame.h
	cvd/videoframe.h
	cvd/videosource.h
	cvd/vision.h
	cvd/vision_exceptions.h
	cvd/yc.h
	cvd/video/skipbuffer.h
	cvd/internal/builtin_components.h
	cvd/internal/convert_pixel_types.h
	cvd/internal/gles1_types.h
	cvd/internal/gl_types.h
	cvd/internal/image_ref_implementation.hh
	cvd/internal/io/bmp.h
	cvd/internal/io/cvdimage.h
	cvd/internal/io/fits.h
	cvd/internal/io/jpeg.h
	cvd/internal/io/parameter.h
	cvd/internal/io/png.h
	cvd/internal/io/pnm_grok.h
	cvd/internal/io/save_postscript.h
	cvd/internal/io/text.h
	cvd/internal/io/tiff.h
	cvd/internal/load_and_save.h
	cvd/internal/name_builtin_types.h
	cvd/internal/name_CVD_rgb_types.h
	cvd/internal/pixel_operations.h
	cvd/internal/pixel_traits.h
	cvd/internal/rgb_components.h
	cvd/internal/scalar_convert.h
	cvd/internal/win.h)


# Library-specific source files, headers and definitions.
if(CVD_dc1394v2_FOUND)
	list(APPEND SRCS
		cvd_src/videosource_dvbuffer.cc
		cvd_src/Linux/dvbuffer3_dc1394v2.cc)
	list(APPEND HEADERS
		cvd/Linux/dvbuffer.h
		cvd/Linux/dvbuffer3.h
		cvd/Linux/dvframe.h)
else()
	list(APPEND SRCS
		cvd_src/videosource_nodvbuffer.cc)
endif()

if(OpenGL_OpenGL_FOUND)
	list(APPEND SRCS
		cvd_src/gltext.cpp)

	if(X11_FOUND)
		list(APPEND SRCS
			cvd_src/glwindow.cc
			cvd_src/videodisplay.cc)
		list(APPEND HEADERS cvd/videodisplay.h)

		set(CVD_HAVE_GLWINDOW ON)
		set(CVD_HAVE_VIDEODISPLAY ON)
	endif()
endif()

# Platform-specific source files, headers and definitions.
if(WIN32)
	list(APPEND SRCS
		cvd_src/Win32/win32.cpp
		cvd_src/Win32/glwindow.cpp)
	set(CVD_HAVE_GLWINDOW ON)
endif()

check_symbol_exists(glob glob.h CVD_HAVE_GLOB)

if(CVD_HAVE_GLOB)
	list(APPEND SRCS cvd_src/globlist.cxx)
endif()

check_symbol_exists(V4L2_PIX_FMT_GREY linux/videodev2.h CVD_HAVE_V4L)
if(CVD_HAVE_V4L)
	list(APPEND SRCS
		cvd_src/Linux/v4lbuffer.cc
		cvd_src/Linux/v4lcontrol.cc
		cvd_src/Linux/videosource_v4lbuffer.cc)
	list(APPEND HEADERS
		cvd/Linux/v4lbuffer.h
		cvd/Linux/v4lcontrol.h)
else()
	list(APPEND SRCS cvd_src/Linux/videosource_nov4lbuffer.cc)
endif()

check_symbol_exists(uvc_stream_get_frame libuvc/libuvc.h CVD_HAVE_UVC)
if(CVD_HAVE_UVC)
	list(APPEND SRCS
		cvd_src/uvcbuffer.cc
		cvd_src/videosource_uvcbuffer.cc)
	list(APPEND HEADERS cvd/video/uvcbuffer.h)
else()
	list(APPEND SRCS
		cvd_src/videosource_nouvcbuffer.cc)
endif()


if(CVD_FFMPEG_FOUND)
	set(CVD_HAVE_FFMPEG ON)
	list(APPEND SRCS
		cvd_src/videofilebuffer2.cc
		cvd_src/videosource_videofilebuffer.cc)
else()
	set(CVD_HAVE_FFMPEG OFF)
	list(APPEND SRCS
		cvd_src/videosource_novideofilebuffer.cc)
endif()

if(CVD_TooN_FOUND)
	set(CVD_HAVE_TOON ON)
	list(APPEND SRCS
		cvd_src/brezenham.cc
		cvd_src/draw_toon.cc
		cvd_src/tensor_voting.cc
		cvd_src/threepointpose.cpp)
	list(APPEND HEADERS
		cvd/brezenham.h
		cvd/camera.h
		cvd/canny.h
		cvd/esm.h
		cvd/image_interpolate.h
		cvd/tensor_voting.h
		cvd/vector_image_ref.h
		cvd/geometry/threepointpose.h)
else()
	set(CVD_HAVE_TOON OFF)
endif()

if(JPEG_FOUND)
	set(CVD_HAVE_JPEG ON)
	set(CVD_INTERNAL_JPEG_BUFFER_SIZE 1)
    list(APPEND SRCS cvd_src/image_io/jpeg.cxx)
else()
	set(CVD_HAVE_JPEG OFF)
	set(CVD_INTERNAL_JPEG_BUFFER_SIZE OFF)
    list(APPEND SRCS cvd_src/image_io/missing_jpeg.cxx)
endif()

if(TIFF_FOUND)
	set(CVD_HAVE_TIFF ON)
    list(APPEND SRCS
		cvd_src/image_io/tiff.cxx
		cvd_src/image_io/tiffwrite.cc)
else()
	set(CVD_HAVE_TIFF OFF)
    list(APPEND SRCS cvd_src/image_io/missing_tiff.cxx)
endif()

if(PNG_FOUND)
	set(CVD_HAVE_PNG ON)
    list(APPEND SRCS cvd_src/image_io/png.cc)
else()
	set(CVD_HAVE_PNG OFF)
    list(APPEND SRCS cvd_src/image_io/missing_png.cxx)
endif()

configure_file(cmake/config.h.in include/cvd/config.h)
configure_file(cmake/config_internal.h.in include/cvd_src/config_internal.h)

add_library(${PROJECT_NAME} ${SRCS} ${HEADERS})
set_target_properties(${PROJECT_NAME} PROPERTIES OUTPUT_NAME cvd)
target_compile_features(${PROJECT_NAME} PUBLIC cxx_std_17)
target_include_directories(${PROJECT_NAME} PUBLIC "${PROJECT_SOURCE_DIR}" "${CMAKE_CURRENT_BINARY_DIR}/include" ${CVD_DEP_INCLUDES_PUBLIC} PRIVATE ${CVD_DEP_INCLUDES_PRIVATE})
target_link_libraries(${PROJECT_NAME} PRIVATE ${CVD_DEP_LIBS})


if(WIN32)
	target_compile_definitions(${PROJECT_NAME} PRIVATE _CRT_SECURE_NO_WARNINGS)
endif()

install(TARGETS ${PROJECT_NAME} ARCHIVE DESTINATION lib LIBRARY DESTINATION lib)
foreach(file ${HEADERS})
	get_filename_component(dir ${file} DIRECTORY)
	install(FILES ${file} DESTINATION include/${dir})
endforeach()
install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/include/cvd DESTINATION include)
install(DIRECTORY ${PROJECT_SOURCE_DIR}/cmake DESTINATION . FILES_MATCHING PATTERN *.cmake)

if(CVD_ENABLE_TESTS)
	add_subdirectory(tests)
endif()
if(CVD_ENABLE_PROGS)
	add_subdirectory(progs)
endif()
if(CVD_ENABLE_EXAMPLES)
	add_subdirectory(examples)
endif()

=== debian/changelog ===
libcvd (0.0~git20220106103934.34d8e26+ds1-2) unstable; urgency=medium

  * Source-only upload for migration to testing.

 -- Roland Mas <lolando@debian.org>  Wed, 16 Feb 2022 16:38:25 +0100

libcvd (0.0~git20220106103934.34d8e26+ds1-1) unstable; urgency=medium

  * New upstream snapshot.
  * Filter out iOS-only, unclearly licensed files from source package.

 -- Roland Mas <lolando@debian.org>  Thu, 10 Feb 2022 14:09:07 +0100

libcvd (0.0~git20211206190858.cbb6797-6) unstable; urgency=medium

  * More updates to debian/copyright.

 -- Roland Mas <lolando@debian.org>  Wed, 05 Jan 2022 18:05:17 +0100

libcvd (0.0~git20211206190858.cbb6797-5) unstable; urgency=medium

  * Update debian/copyright for cvd/documentation.h and cvd_src/videofilebuffer2.cc.

 -- Roland Mas <lolando@debian.org>  Mon, 03 Jan 2022 19:24:35 +0100

libcvd (0.0~git20211206190858.cbb6797-4) unstable; urgency=medium

  * Ship config.h in packages.

 -- Roland Mas <lolando@debian.org>  Thu, 30 Dec 2021 12:33:42 +0100

libcvd (0.0~git20211206190858.cbb6797-3) unstable; urgency=medium

  * Update Maintainer/Uploaders.

 -- Roland Mas <lolando@debian.org>  Wed, 29 Dec 2021 19:10:02 +0100

libcvd (0.0~git20211206190858.cbb6797-2) unstable; urgency=medium

  * Prefix binaries with cvd_ to avoid generic names (thanks, Guillem Jover!).

 -- Roland Mas <lolando@debian.org>  Wed, 29 Dec 2021 17:02:34 +0100

libcvd (0.0~git20211206190858.cbb6797-1) unstable; urgency=medium

  * Initial release.

 -- Roland Mas <lolando@debian.org>  Tue, 28 Dec 2021 23:36:35 +0100

=== debian/control ===
Source: libcvd
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>, Roland Mas <lolando@debian.org>
Build-Depends: debhelper-compat (= 13), libtoon-dev,
 libjpeg-dev, libpng-dev, libtiff-dev, liblapack-dev, libv4l-dev,
 mesa-common-dev, libgl1-mesa-dev, libglu1-mesa-dev, mesa-utils,
 freeglut3-dev, ffmpeg, libffms2-dev, libavcodec-dev, libavdevice-dev,
 libavfilter-dev, libavformat-dev, libdc1394-dev
Standards-Version: 4.5.1
Section: libs
Homepage: http://www.edwardrosten.com/cvd/
Vcs-Browser: https://salsa.debian.org/science-team/libcvd
Vcs-Git: https://salsa.debian.org/science-team/libcvd.git
Rules-Requires-Root: no

Package: libcvd-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libcvd2 (= ${binary:Version}), ${misc:Depends}
Description: C++ library for computer vision, image, and video processing - devel files
 libCVD is a very portable and high performance C++ library for
 computer vision, image, and video processing. The emphasis is on
 providing simple and efficient image and video handling and high
 quality implementations of common low-level image processing
 function. The library is designed in a loosely-coupled manner, so
 that parts can be used easily in isolation if the whole library is
 not required. The video grabbing module provides a simple, uniform
 interface for videos from a variety of sources (live and recorded)
 and allows easy access to the raw pixel data. Likewise, the image
 loading/saving module provides simple, uniform interfaces for loading
 and saving images from bitmaps to 64 bit per channel RGBA images. The
 image processing routines can be applied easily to images and video,
 and accelerated versions exist for platforms supporting SSE.
 .
 This package contains the development files.

Package: libcvd2
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C++ library for computer vision, image, and video processing - shared library
 libCVD is a very portable and high performance C++ library for
 computer vision, image, and video processing. The emphasis is on
 providing simple and efficient image and video handling and high
 quality implementations of common low-level image processing
 function. The library is designed in a loosely-coupled manner, so
 that parts can be used easily in isolation if the whole library is
 not required. The video grabbing module provides a simple, uniform
 interface for videos from a variety of sources (live and recorded)
 and allows easy access to the raw pixel data. Likewise, the image
 loading/saving module provides simple, uniform interfaces for loading
 and saving images from bitmaps to 64 bit per channel RGBA images. The
 image processing routines can be applied easily to images and video,
 and accelerated versions exist for platforms supporting SSE.
 .
 This package contains the shared library.

Package: libcvd-tools
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C++ library for computer vision, image, and video processing - tools
 libCVD is a very portable and high performance C++ library for
 computer vision, image, and video processing. The emphasis is on
 providing simple and efficient image and video handling and high
 quality implementations of common low-level image processing
 function. The library is designed in a loosely-coupled manner, so
 that parts can be used easily in isolation if the whole library is
 not required. The video grabbing module provides a simple, uniform
 interface for videos from a variety of sources (live and recorded)
 and allows easy access to the raw pixel data. Likewise, the image
 loading/saving module provides simple, uniform interfaces for loading
 and saving images from bitmaps to 64 bit per channel RGBA images. The
 image processing routines can be applied easily to images and video,
 and accelerated versions exist for platforms supporting SSE.
 .
 This package contains tools and utilities using libcvd.

=== debian/watch ===
version=4
opts="mode=git, repacksuffix=+ds1, date=%Y%m%d%H%M%S, dversionmangle=s/\+ds\d+//, pgpmode=none" \
https://github.com/edrosten/libcvd.git HEAD

## libcvd 0.0~git20220720095123.2198902+ds1

=== debian/changelog ===
libcvd (0.0~git20220720095123.2198902+ds1-0ubuntu1) kinetic; urgency=medium

  * New upstream git snapshot.
    - Fixes build failure with ffmpeg 5.0.  Closes: #1013516.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 22 Jul 2022 23:07:13 +0000

libcvd (0.0~git20220106103934.34d8e26+ds1-2build1) kinetic; urgency=medium

  * No-change rebuild against libavcodec59

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Jul 2022 12:56:17 +0000

## libcvd 0.0~git20221020150751.30e8cfc+ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,7 @@
 option(CVD_ENABLE_TESTS "Build libCVD tests" ON)
 option(CVD_ENABLE_PROGS "Build libCVD programs" ON)
 option(CVD_ENABLE_EXAMPLES "Build libCVD examples" ON)
+option(CVD_ENABLE_OPENCV_TESTS "Build libCVD tests that rely on OpenCV" OFF)
 
 include(TestBigEndian)
 include(CheckSymbolExists)
@@ -27,7 +28,6 @@
 
 set(SRCS
 	cvd_src/bayer.cxx
-	cvd_src/colourspace_convert.cxx
 	cvd_src/connected_components.cc
 	cvd_src/convolution.cc
 	cvd_src/cvd_timer.cc
@@ -112,7 +112,6 @@
 	cvd/helpers.h
 	cvd/image.h
 	cvd/image_convert.h
-	cvd/image_convert_fwd.h
 	cvd/image_io.h
 	cvd/image_ref.h
 	cvd/integral_image.h
@@ -238,8 +237,21 @@
 if(CVD_FFMPEG_FOUND)
 	set(CVD_HAVE_FFMPEG ON)
 	list(APPEND SRCS
+		cvd_src/slice.h
+		cvd_src/videoffmpeg.cc
+		cvd_src/videoreader.cc
+		cvd_src/videoreaderfilebuffer.cc
+		cvd_src/videoscaler.cc
+		cvd_src/videowriter.cc
 		cvd_src/videofilebuffer2.cc
 		cvd_src/videosource_videofilebuffer.cc)
+	list(APPEND HEADERS
+		cvd/videoffmpeg.h
+		cvd/videoreader.h
+		cvd/videoreaderfilebuffer.h
+		cvd/videoscaler.h
+		cvd/videowriter.h
+	)
 else()
 	set(CVD_HAVE_FFMPEG OFF)
 	list(APPEND SRCS
@@ -303,7 +315,9 @@
 target_include_directories(${PROJECT_NAME} PUBLIC "${PROJECT_SOURCE_DIR}" "${CMAKE_CURRENT_BINARY_DIR}/include" ${CVD_DEP_INCLUDES_PUBLIC} PRIVATE ${CVD_DEP_INCLUDES_PRIVATE})
 target_link_libraries(${PROJECT_NAME} PRIVATE ${CVD_DEP_LIBS})
 
-
+if(APPLE)
+	target_compile_definitions(${PROJECT_NAME} PRIVATE GL_SILENCE_DEPRECATION)
+endif()
 if(WIN32)
 	target_compile_definitions(${PROJECT_NAME} PRIVATE _CRT_SECURE_NO_WARNINGS)
 endif()

=== examples/CMakeLists.txt ===
project(examples)

# if(CVD_HAVE_TOON)
# 	add_executable(tensor_voting tensor_voting.cc)
#   target_link_libraries(tensor_voting PRIVATE CVD)
# endif()

add_executable(colourmaps colourmaps.cc)
target_link_libraries(colourmaps PRIVATE CVD)
add_executable(distance_transform distance_transform.cc)
target_link_libraries(distance_transform PRIVATE CVD)

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -22,3 +22,22 @@
 add_executable(flips flips.cc)
 target_link_libraries(flips PRIVATE CVD)
 add_test(NAME flips COMMAND flips)
+
+if(CVD_HAVE_FFMPEG)
+	add_executable(videoreader_test videoreader_test.cc)
+	target_link_libraries(videoreader_test PRIVATE CVD)
+	add_test(NAME videoreader_test COMMAND videoreader_test ${CMAKE_CURRENT_LIST_DIR}/videoreader_test.mp4)
+
+	add_executable(videowriter_test videowriter_test.cc)
+	target_link_libraries(videowriter_test PRIVATE CVD)
+	add_test(NAME videowriter_test COMMAND videowriter_test ${CMAKE_CURRENT_BINARY_DIR}/videowriter_test.mp4)
+endif()
+
+if(CVD_ENABLE_OPENCV_TESTS)
+	# test only, carries no binary dependency
+	find_package(OpenCV REQUIRED)
+	find_package(Eigen3 REQUIRED)
+	add_executable(opencv_test opencv_test.cc)
+	target_link_libraries(opencv_test PRIVATE CVD Eigen3::Eigen ${OpenCV_LIBS})
+	add_test(NAME opencv_test COMMAND opencv_test)
+endif()

=== debian/changelog ===
libcvd (0.0~git20221020150751.30e8cfc+ds1-1build5) noble; urgency=medium

  * No-change rebuild against libpng16-16t64 (on riscv64).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Apr 2024 00:53:56 +0100

libcvd (0.0~git20221020150751.30e8cfc+ds1-1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:19:49 +1100

libcvd (0.0~git20221020150751.30e8cfc+ds1-1build3) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 07:03:03 +0000

libcvd (0.0~git20221020150751.30e8cfc+ds1-1build2) mantic; urgency=medium

  * Rebuild against new libavcodec60.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Jul 2023 21:53:30 +0200

libcvd (0.0~git20221020150751.30e8cfc+ds1-1build1) lunar; urgency=medium

  * Rebuild against latest tiff

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 04 Feb 2023 07:27:50 -0500

libcvd (0.0~git20221020150751.30e8cfc+ds1-1) unstable; urgency=medium

  * New upstream snapshot fixing FTBFS.
  * Bug fix: "FTBFS: cvd_src/videofilebuffer2.cc:272:33: error:
    ‘av_register_all’ was not declared in this scope", thanks to Lucas
    Nussbaum (Closes: #1013516).

 -- Roland Mas <lolando@debian.org>  Fri, 11 Nov 2022 15:23:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: libcvd
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>, Roland Mas <lolando@debian.org>
 Build-Depends: debhelper-compat (= 13), libtoon-dev,
  libjpeg-dev, libpng-dev, libtiff-dev, liblapack-dev, libv4l-dev,
